version: 2

sources:
  - name: cassandra_extract
    database: minds_analytics
    description: Extracted Minds entities from Cassandra
    tables:
      - name: user
        identifier: user
        description: >
          "User" entitites from Cassandra

      - name: activity
        identifier: activity
        description: >
          "Activity" entitites from Cassandra

      - name: comment
        identifier: comment
        description: >
          "Comment" entitites from Cassandra (obsolete/deprecated)

      - name: int_comments_predict_spam
        identifier: int_comments_predict_spam
        description: >
          Output of spam comment classification model

      - name: int_interaction_clusters
        identifier: int_interaction_clusters
        description: >
          Output of graph network model that defines communities based on interaction/engagement with activities

      - name: group
        identifier: group
        description: >
          "Group" entitites from Cassandra

      - name: notification
        identifier: notification
        description: >
          "Notification" entitites from Cassandra

      - name: object_album
        identifier: object_album
        description: >
          "Album" content entitites from Cassandra

      - name: object_carousel
        identifier: object_carousel
        description: >
          "Carousel" content entitites from Cassandra

      - name: object_image
        identifier: object_image
        description: >
          "Image" content entitites from Cassandra

      - name: object_message
        identifier: object_message
        description: >
          "Message" content entitites from Cassandra

      - name: object_points_transaction
        identifier: object_points_transaction
        description: >
          "Points Transaction" entitites from Cassandra

      - name: unmatched
        identifier: unmatched
        description: >
          Unmatched raw entity records from Cassandra

      - name: comments
        identifier: comments
        description: >
          "Comments" records from Cassandra comments table

      - name: pseudo_user_hashtags
        identifier: pseudo_user_hashtags
        description: >
          User preference hashtags with pseudo-ids

      - name: users_cluster_map
        identifier: users_cluster_map
        description: >
          Map of user_id to content recommendation cluster

      - name: blockchain_transactions_mainnet
        identifier: blockchain_transactions_mainnet
        description: >
          token transaction records from cassandra

      - name: contributions
        identifier: contributions
        description: >
          token contribution records from cassandra

      - name: rewards_withdrawals
        identifier: rewards_withdrawals
        description: >
          reward withdrawal records from cassandra

      - name: token_rewards
        identifier: token_rewards
        description: >
          token reward records from cassandra

      - name: wire
        identifier: wire
        description: >
          wire records from cassandra

      - name: moderation_reports
        identifier: moderation_reports
        description: >
          moderations reports for reported users and content from cassandra
